import { IHypernetCore, MerchantUrl, RenderError } from "@hypernetlabs/objects";
import { Result } from "neverthrow";
import { IConnectorAuthorizationFlowParams, IHypernetWebUI, IRenderParams, IRenderPaymentWidgetParams } from "../../interfaces/app/IHypernetWebUI";
export default class HypernetWebUI implements IHypernetWebUI {
    private static instance;
    protected coreInstance: IHypernetCore;
    constructor(_coreInstance?: IHypernetCore);
    private _generateDomElement;
    private _removeExistedElement;
    private _bootstrapComponent;
    private _getThrowableRender;
    renderPrivateKeysModal(): Result<void, RenderError>;
    renderBalancesWidget(config?: IRenderParams): Result<void, RenderError>;
    renderFundWidget(config?: IRenderParams): Result<void, RenderError>;
    renderLinksWidget(config?: IRenderParams): Result<void, RenderError>;
    renderPaymentWidget(config?: IRenderPaymentWidgetParams): Result<void, RenderError>;
    renderConnectorAuthorizationFlow(config: IConnectorAuthorizationFlowParams): Result<void, RenderError>;
    displayMerchantIFrame(merchantUrl: MerchantUrl): void;
    closeMerchantIFrame(merchantUrl: MerchantUrl): void;
}
//# sourceMappingURL=HypernetWebUI.d.ts.map